OnCallPayReports
Creates an On-Call Pay Report
Generates a new on-call pay report for the given date range. The report is generated asynchronously.
POST
/
v1
/
on_call_pay_reports
Creates an On-Call Pay Report
curl --request POST \
--url https://api.rootly.com/v1/on_call_pay_reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "on_call_pay_reports",
"attributes": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"schedule_ids": [
"<string>"
],
"time_zone": "<string>",
"use_responders_time_zone": true
}
}
}
'import requests
url = "https://api.rootly.com/v1/on_call_pay_reports"
payload = { "data": {
"type": "on_call_pay_reports",
"attributes": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"schedule_ids": ["<string>"],
"time_zone": "<string>",
"use_responders_time_zone": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'on_call_pay_reports',
attributes: {
start_date: '2023-12-25',
end_date: '2023-12-25',
schedule_ids: ['<string>'],
time_zone: '<string>',
use_responders_time_zone: true
}
}
})
};
fetch('https://api.rootly.com/v1/on_call_pay_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "on_call_pay_reports",
"attributes": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_duration": 123,
"users_count": 123,
"currency": "<string>",
"hourly_rate_cents": 123,
"daily_rate_cents": 123,
"total_pay_cents": 123,
"include_shadow": true,
"show_individual_shift_data": true,
"has_single_rate": true,
"enabled_granular_time_breakdown": true,
"last_generated_at": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"use_responders_time_zone": true,
"csv_file_url": "<string>",
"xlsx_file_url": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates an On-Call Pay Report
